### Method

# ECal Component set_location

since: 3.34

#### Declaration [src]

    void
    e_cal_component_set_location (
      ECalComponent* comp,
      const gchar* location
    )

#### Description [src]

Sets the location property of a calendar component object.

Available since: 3.34

#### Parameters

`location`

  Type: `const gchar*`

  Location value. Use `NULL` or empty string, to unset the property.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.